<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: SocketInputRecordStreambuf Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSocketInputRecordStreambuf-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SocketInputRecordStreambuf Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SocketInputRecordStreambuf:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classSocketInputRecordStreambuf.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0ed684a3ce6c98cd806c35fd551937c3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSocketInputRecordStreambuf.html#a0ed684a3ce6c98cd806c35fd551937c3">SocketInputRecordStreambuf</a> (<a class="el" href="classSocket.html">Socket</a> socket, size_t dataLength, size_t bufferSize=512)</td></tr>
<tr class="memdesc:a0ed684a3ce6c98cd806c35fd551937c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a socket input record streambuf.  <a href="#a0ed684a3ce6c98cd806c35fd551937c3">More...</a><br /></td></tr>
<tr class="separator:a0ed684a3ce6c98cd806c35fd551937c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87d321805e116126cd2ded9e748cd25d"><td class="memItemLeft" align="right" valign="top">int_type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSocketInputRecordStreambuf.html#a87d321805e116126cd2ded9e748cd25d">underflow</a> ()</td></tr>
<tr class="memdesc:a87d321805e116126cd2ded9e748cd25d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle the request to read data from the stream but we need more data from the source.  <a href="#a87d321805e116126cd2ded9e748cd25d">More...</a><br /></td></tr>
<tr class="separator:a87d321805e116126cd2ded9e748cd25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0ed684a3ce6c98cd806c35fd551937c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ed684a3ce6c98cd806c35fd551937c3">&#9670;&nbsp;</a></span>SocketInputRecordStreambuf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SocketInputRecordStreambuf::SocketInputRecordStreambuf </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSocket.html">Socket</a>&#160;</td>
          <td class="paramname"><em>socket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>dataLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>bufferSize</em> = <code>512</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create a socket input record streambuf. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">socket</td><td>The socket we will be reading from. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLength</td><td>The size of a record. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">bufferSize</td><td>The size of the buffer we wish to allocate to hold data. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a87d321805e116126cd2ded9e748cd25d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87d321805e116126cd2ded9e748cd25d">&#9670;&nbsp;</a></span>underflow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SocketInputRecordStreambuf::int_type SocketInputRecordStreambuf::underflow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handle the request to read data from the stream but we need more data from the source. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Socket_8h_source.html">Socket.h</a></li>
<li>Socket.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
